Arch: Spazio

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch Space and the translation is 100% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska • ‎українська
Arrow-left.svg Arch Roof.svg Tetto Pagina precedente:
Pagina successiva: Scale Arch Stairs.svg Arrow-right.svg

Arch Space.svg Spazio

Posizione nel menu
Arch → Spazio
Ambiente
Arch
Avvio veloce
S P
Introdotto nella versione
0.14
Vedere anche
Parete, Struttura


Descrizione

Lo strumento Spazio consente di definire un volume vuoto, basato su una forma solida, oppure definendo i suoi confini, o con un mix di entrambi. Se è basato esclusivamente sui confini, il volume viene calcolato a partire dai confini dati, e sottraendo lo spazio interno ai confini. L'oggetto spazio definisce sempre un volume solido. Può anche essere visualizzata la superficie di un oggetto spazio, calcolata intersecando un piano orizzontale nel centro di massa del volume dello spazio.

Arch Space example.jpg

Oggetto spazio creato da un oggetto solido esistente, poi sono aggiunte due facce della parete come confini.


Utilizzo

  • Selezionare un oggetto solido esistente o le facce che lo delimitano.
  • Premere il pulsante Arch Space.svg Spazio, oppure i tasti S, P.

Limitazioni

  • Attualmente, le proprietà boundaries non sono modificabile tramite GUI.
  • Per seguire l'evoluzione dello strumento consultare la pagina Arch Space nel forum.

Proprietà

  • DATIBase: L'oggetto base, se esiste (deve essere un solido).
  • DATIBoundaries: Un elenco di confini opzionali.
  • DATIArea: L'area del pavimento calcolata in questo spazio.
  • DATIFinishFloor: La finitura del pavimento di questo spazio.
  • DATIFinishWalls: La finitura delle pareti di questo spazio.
  • DATIFinishCeiling: La finitura del soffitto di questo spazio.
  • DATIGroup: Gli oggetti che sono inclusi in questo spazio, come arredo.
  • DATISpaceType: Il tipo di questo spazio.
  • DATIFloorThickness: Lo spessore della finitura del pavimento.
  • DATINumberOfPeople: Il numero di persone che di solito occupano questo spazio.
  • DATILightingPower: La potenza elettrica necessaria per illuminare questo spazio in Watt.
  • DATIEquipmentPower: La potenza elettrica necessaria per gli apparecchi di questo spazio in Watt.
  • DATIAutoPower: Se True, Equipment Power viene compilata automaticamente dalla potenza degli apparecchi inclusi in questo spazio.
  • DATIConditioning: Il tipo di aria condizionata di questo spazio.
  • DATIInternal: Specifica se questo spazio è interno o esterno.
  • VISTAText: Il testo da mostrare. Usare $area, $label, $tag, $floor, $walls, $ceiling per inserire i rispettivi dati.
  • VISTAFontName: Il nome del carattere.
  • VISTATextColor: Il colore del testo.
  • VISTAFontSize: La dimensione del testo.
  • VISTAFirstLine:La dimensione della prima riga di testo (moltiplica la dimensione del carattere 1 = stessa dimensione, 2 = doppia dimensione, ecc.).
  • VISTALineSpacing: Lo spazio tra le righe di testo.
  • VISTATextPosition: La posizione del testo. Lasciare (0,0,0) per la posizione automatica.
  • VISTATextAlign: La giustificazione del testo.
  • VISTADecimals: Il numero di decimali da utilizzare per i testi calcolati.
  • VISTAShowUnit: Mostra il suffisso dell'unità di misura o no.

Opzioni

  • Per creare zone che raggruppano più spazi, utilizzare Parte di edificio e impostare il tipo di IFC su "Spatial Zone"
  • L'oggetto spazio ha le stesse modalità di visualizzazione degli altri oggetti Arch e Part, con una modalità in più chiamata Footprint, che visualizza solo la faccia inferiore dello spazio. Disponibile dalla versione 0.19

Script

Vedere anche: Arch API e Nozioni di base sugli script di FreeCAD.

Lo strumento Spazio può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:

Space = makeSpace(objects=None, baseobj=None, name="Space")
  • Crea un oggetto Space con gli objects dati, o con un baseobj, che può essere.
    • un oggetto del documento, nel qual caso diventa la forma base dell'oggetto spazio, o
    • un elenco di oggetti selezionati restituiti da FreeCADGui.Selection.getSelectionEx(), o
    • una lista di tuple (object, subobjectname)

Esempio:

import FreeCAD, Arch

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 1000
Box.Width = 1000
Box.Height = 1000

Space = Arch.makeSpace(Box)
Space.ViewObject.LineWidth = 2
FreeCAD.ActiveDocument.recompute()

Dopo aver creato un oggetto spazio, ad esso si possono aggiungere delle facce selezionate con il seguente codice:

import FreeCAD, FreeCADGui, Draft, Arch

points = [FreeCAD.Vector(-500, 0, 0), FreeCAD.Vector(1000, 1000, 0)]
Line = Draft.makeWire(points)
Wall = Arch.makeWall(Line, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

# Select a face of the wall
selection = FreeCADGui.Selection.getSelectionEx()
Arch.addSpaceBoundaries(Space, selection)

I confini possono anche essere rimossi, selezionando nuovamente le facce indicate:

selection = FreeCADGui.Selection.getSelectionEx()
Arch.removeSpaceBoundaries(Space, selection)
Arrow-left.svg Arch Roof.svg Tetto Pagina precedente:
Pagina successiva: Scale Arch Stairs.svg Arrow-right.svg